Bug 1477302 - [paid] Update resume restriction to prevent resuming at 23:59 on last day, and not the entire last day
[paid] Update resume restriction to prevent resuming at 23:59 on last day, an...
Status: ASSIGNED
Product: OpenShift Online
Classification: Red Hat
Component: Accounts and Billing (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mark Turansky
Bing Li
: NeedsTestCase, OnlinePro
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-01 12:56 EDT by Will Gordon
Modified: 2018-03-22 19:53 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error message when resuming the subscription (48.75 KB, image/png)
2018-01-30 21:38 EST, Bing Li
no flags Details

  None (edit)
Description Will Gordon 2017-08-01 12:56:34 EDT
Description of problem:
I want to resume my Pro plan on the last day of the month 


Version-Release number of selected component (if applicable):
OpenShift Master:
v3.5.5.30 (online version 3.5.1.76)
Kubernetes Master:
v1.5.2+43a9be4

How reproducible:
always

Steps to Reproduce:
1. Cancel plan at any time during the month
2. Attempt to resume plan at any time on the last day of the month

Actual results:
Our apologies
An error occurred. Visit our support resources.

Error ID 5461a94d-76da-11e7-aedc-0a580a83024e

Expected results:
Able to resume plan

Additional info:
Comment 2 Mark Turansky 2018-01-25 11:52:12 EST
This can be retested. Should be fixed by a recent Aria bug fix and our PR https://github.com/openshift/online/pull/1540

End of month testing is coming in just a few days.
Comment 3 yasun 2018-01-25 22:19:18 EST
We will test it at the last day of this month.
Comment 4 Bing Li 2018-01-30 03:28:04 EST
Subscription can be resumed normally on the last day of month.

Move to verified.
Comment 5 Bing Li 2018-01-30 21:19:05 EST
Re-open this bug: now I can't resume the pending subscription cancellation. But it worked well on the AM of last day of month(Aria STG time) when I verified this bug in comment 4.
Comment 6 Bing Li 2018-01-30 21:38 EST
Created attachment 1388717 [details]
Error message when resuming the subscription
Comment 7 Bing Li 2018-01-30 21:39:28 EST
Error message will show when resuming the subscription on the last day of month(see attachment in comment 6):

 Subscription has already been canceled.
Comment 8 Abhishek Gupta 2018-03-22 19:53:47 EDT
Mark: At this point we know quite a bit more about the behavior of plan continuation and invoice processing. Lets change this to allow plan resumption up until the last minute on the last day.

Note You need to log in before you can comment on or make changes to this bug.